API / Webhooks
PATCH
/webhooks/endpoints/{id}
Update a webhook endpoint
Authentification : clé API Bearer requise.
Paramètres
| Nom | Dans | Type | Description |
|---|---|---|---|
| id* | path | string | Endpoint ID |
Corps JSON
Updated fields
| Nom | Type | Description |
|---|---|---|
| description | string | — |
| disabled | boolean | — |
| eventTypes | array<string> | — |
| url | string | — |
Exemple curl
curl -X PATCH https://api.sporee.fr/webhooks/endpoints/<id> \
-H "Authorization: Bearer $SPORE_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Réponses
| Statut | Description | Type |
|---|---|---|
| 204 | No Content | — |
| 400 | Bad Request | echo.HTTPError |
| 401 | Unauthorized | echo.HTTPError |
| 404 | Not Found | echo.HTTPError |
Source machine : openapi.json · opération updateWebhookEndpoint